summaryrefslogtreecommitdiffstats
path: root/ham
diff options
context:
space:
mode:
author JK Wood2014-07-16 02:59:15 +0200
committer Willy Sudiarto Raharjo2014-07-16 13:26:52 +0200
commitc32bbc5a0468622ff6938ef65df07000c387dfd4 (patch)
tree5d08c827e3667c6e73e118a3deabd19511419deb /ham
parentf20658c5b7393fe9a38268cb70c95f4a70266fe4 (diff)
downloadslackbuilds-c32bbc5a0468622ff6938ef65df07000c387dfd4.tar.gz
ham/linlogbook: Added (QT4 Ham Radio Logging program).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'ham')
-rw-r--r--ham/linlogbook/README8
-rw-r--r--ham/linlogbook/linlogbook.SlackBuild91
-rw-r--r--ham/linlogbook/linlogbook.info12
-rw-r--r--ham/linlogbook/slack-desc19
4 files changed, 130 insertions, 0 deletions
diff --git a/ham/linlogbook/README b/ham/linlogbook/README
new file mode 100644
index 0000000000..9919181fd9
--- /dev/null
+++ b/ham/linlogbook/README
@@ -0,0 +1,8 @@
+LinLogBook is a highly configurable loogbook for linux.
+It uses an sql- database to store its data. For the ease
+of use sqlite 3 is used but it should be possible to use
+other databases like mysql, for instance.
+
+LinLogBook is a companion program to LinPSK, and can
+pull data directly from it. LinPSK is also available
+at SlackBuilds.org.
diff --git a/ham/linlogbook/linlogbook.SlackBuild b/ham/linlogbook/linlogbook.SlackBuild
new file mode 100644
index 0000000000..973c5d38cb
--- /dev/null
+++ b/ham/linlogbook/linlogbook.SlackBuild
@@ -0,0 +1,91 @@
+#!/bin/sh
+# Slackbuild for linlogbook
+# Written by JK Wood <joshuakwood@gmail.com>
+
+# Slackbuild is released under the Dog-on-Fire License:
+# If use of this script causes your dog to catch on fire,
+# you agree to send me five dollars. Or a picture
+# of the dog on fire.
+# Otherwise, you're on your own. I've tested the script
+# on my own computer, and it hasn't broken anything.
+# So if it does it on your computer, that falls in
+# the realm of "Not my problem."
+#
+# Of course, if you'll send a bug report to the above
+# email address, I may be able to see what you did
+# wrong and prevent it from happening in the future.
+# In which case, I may just send YOU five dollars.
+
+# Oh, and feel free to copy it and modify it as you
+# see fit. Or as I see fit. Or as I fit. Although
+# that is unlikely, as I am rather tall.
+
+PRGNAM=linlogbook
+VERSION=${VERSION:-0.5}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar -xvf $CWD/$PRGNAM-$VERSION.tar.gz
+mv $PRGNAM $PRGNAM-$VERSION
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+qmake -o Makefile linlogbook.pro
+make
+
+mkdir -p $PKG/usr/bin
+install -m 755 bin/linlogbook $PKG/usr/bin/
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a COPYING ChangeLog README sql/* $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+cat $CWD/LinLogBook.pdf > $PKG/usr/doc/$PRGNAM-$VERSION/LinLogBook.pdf
+find $PKG/usr/doc -name "Makefile" -exec rm {} \;
+find $PKG/usr/doc -type f -exec chmod 644 {} \;
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG${PKGTYPE:-.tgz}
diff --git a/ham/linlogbook/linlogbook.info b/ham/linlogbook/linlogbook.info
new file mode 100644
index 0000000000..7b8ecaafa6
--- /dev/null
+++ b/ham/linlogbook/linlogbook.info
@@ -0,0 +1,12 @@
+PRGNAM="linlogbook"
+VERSION="0.5"
+HOMEPAGE="http://linlogbook.sourceforge.net/"
+DOWNLOAD="http://sourceforge.net/projects/linlogbook/files/linlogbook-0.5.tar.gz \
+ http://sourceforge.net/projects/linlogbook/files/LinLogBook.pdf"
+MD5SUM="09fcaab993b7a808fe0bf95073919027 \
+ b235f843d052875b966e98b06d01720c"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="JK Wood"
+EMAIL="joshuakwood@gmail.com"
diff --git a/ham/linlogbook/slack-desc b/ham/linlogbook/slack-desc
new file mode 100644
index 0000000000..da06ebe452
--- /dev/null
+++ b/ham/linlogbook/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+linlogbook: linlogbook (QT4 Ham Radio Logging program)
+linlogbook:
+linlogbook: linlogbook is a QT4 amateur radio logging program for Linux. This is
+linlogbook: companion software to LinPSK, and integrates with that well.
+linlogbook:
+linlogbook:
+linlogbook:
+linlogbook:
+linlogbook:
+linlogbook: Homepage: http://linlogbook.sourceforge.net
+linlogbook: